# ZMQContext::setOpt

(PECL zmq >= 1.0.4)

ZMQContext::setOpt — Establecer una opción de socket

### Descripción

public ZMQContext::setOpt(int `$key`, mixed `$value`): ZMQContext

Establece una opción de contexto de ZMQ. El tipo del valor `value` depende de `key`. Véanse los Tipos de constantes de ZMQ para más información.

### Parámetros

`key`

  Una de las constantes `ZMQ::CTXOPT_*`.

`value`

  El valor del parámetro.

### Valores devueltos

Devuelve el objeto actual. Lanza una ZMQContextException en caso de error.